aboutsummaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-12-03 20:31:31 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-12-03 20:31:31 +0000
commit2d507b4907a9c68b552923c18fa63bd27dc3af04 (patch)
tree0dbfa00e52e2b7746ab95b521c2965c43a915fb1 /net
parentad11b335a5a13b5100f6822462e72e5bc9a1590c (diff)
downloadslackbuilds-2d507b4907a9c68b552923c18fa63bd27dc3af04.tar.gz
slackbuilds-2d507b4907a9c68b552923c18fa63bd27dc3af04.tar.bz2
privoxy privoxy: updating to 3.0.10
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1989 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net')
-rwxr-xr-xnet/proxy/privoxy/privoxy.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/net/proxy/privoxy/privoxy.SlackBuild b/net/proxy/privoxy/privoxy.SlackBuild
index 2f0a34b5..ad8eb1c3 100755
--- a/net/proxy/privoxy/privoxy.SlackBuild
+++ b/net/proxy/privoxy/privoxy.SlackBuild
@@ -16,7 +16,7 @@
#
# slackbuild for privoxy, by Silvio Rhatto
# requires:
-# tested: privoxy-3.0.9-beta
+# tested: privoxy-3.0.10
#
# Look for slackbuildrc
@@ -31,7 +31,7 @@ CWD="$(pwd)"
SRC_NAME="privoxy"
PKG_NAME="privoxy"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=3.0.9-beta}
+SRC_VERSION=${VERSION:=3.0.10}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rha}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -85,7 +85,7 @@ if ! grep -qe "^$PKG_NAME:" /etc/passwd; then
fi
# Dowload source if necessary
-SRC="$SRC_NAME-$VERSION-src.tar.gz"
+SRC="$SRC_NAME-$VERSION-stable-src.tar.gz"
URL="http://downloads.sourceforge.net/ijbswa/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
@@ -195,6 +195,7 @@ for config_file in etc/privoxy/config etc/privoxy/trust; do
done
# Add a post-installation script (doinst.sh)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EOSCRIPT > "$PKG/install/doinst.sh"
config() {
NEW="\$1"
@@ -241,6 +242,6 @@ cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi